#!/bin/sh
#
# Functions for running hooks.
#
# Copyright 2023 Andrew Wood
#
# License GPLv3+: GNU GPL version 3 or later; see `docs/COPYING'.
#

# Run the hooks for either pre or post ($1) action or class $2, in
# alphanumeric order.
#
actHooks () {
	test -n "$1" || return
	test -n "$2" || return
	test -d "${ACTIONHOOKDIR}/$1/$2" || return
	shift 2
	find "${ACTIONHOOKDIR}/$1/$2" -type f -name "*.sh" -maxdepth 1 2>/dev/null | sort | {
		while read -r hookScript; do
			actDebug "running hook script: ${hookScript}"
			# Note that we can't portably pass arguments to ".".
			. "${hookScript}"
		done
	}
}
